## osc 1.12.1

=== debian/changelog ===
osc (1.12.1-2) unstable; urgency=medium

  * Revert changes not compatible with obs-build in Debian (Closes: #1098815)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 11 Mar 2025 16:06:58 +0100

osc (1.12.1-1) unstable; urgency=medium

  * New upstream version 1.12.1

 -- Dylan Aïssi <daissi@debian.org>  Wed, 19 Feb 2025 09:43:36 +0100

=== debian/rules ===
#!/usr/bin/make -f

export HOME=$(CURDIR)/debian/fake-home
export XDG_STATE_HOME =  $(HOME)/.local/state

%:
	dh $@ --with python3,bash-completion --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_clean:
	# Exclude testsuite data
	dh_clean --exclude=foo.orig

execute_after_dh_auto_build:
	# This symlink is required to run the tests
	for d in .pybuild/*/build; do ln -srv doc $$d; done
	# build man page
	PYTHONPATH=. argparse-manpage \
		--output=osc.1 \
		--format=single-commands-section \
		--module=osc.commandline \
		--function=get_parser \
		--project-name=osc \
		--prog=osc \
		--description="openSUSE build service command-line tool" \
		--author="Contributors to the osc project." \
		--url="https://github.com/openSUSE/osc/"

ifneq ($(FAKEROOTKEY),)
override_dh_auto_test:
	mkdir -p $(XDG_STATE_HOME)
	LD_PRELOAD= dh_auto_test
endif

execute_before_dh_auto_install:
	# Remove symlinks to avoid installing files into
	# /usr/lib/python3/dist-packages/doc/ (#1081339)
	for d in .pybuild/*/build; do unlink $$d/doc; done

=== debian/watch ===
version=4
https://download.opensuse.org/repositories/openSUSE:/Tools/Debian_Unstable/ osc_([0-9.]*).orig.tar.gz

# https://github.com/openSUSE/osc/tags .*/v?(\d.*)@ARCHIVE_EXT@

## osc 1.15.1

=== doc/requirements.txt ===
cryptography
sphinx-rtd-theme
urllib3

=== debian/changelog ===
osc (1.15.1-1) unstable; urgency=medium

  * New upstream version 1.15.1

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 12 May 2025 12:43:49 +0200

osc (1.14.0-1) unstable; urgency=medium

  * New upstream version 1.14.0

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 12 May 2025 12:30:59 +0200

=== debian/control ===
Source: osc
Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
Uploaders: Andrej Shadura <andrewsh@debian.org>,
           Dylan Aïssi <daissi@debian.org>
Section: devel
Priority: optional
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               dh-exec,
               dh-python,
               diffstat <!nocheck>,
               git <!nocheck>,
               python3,
               python3-argparse-manpage,
               python3-cryptography,
               python3-ruamel.yaml,
               python3-setuptools,
               python3-urllib3
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/osc
Vcs-Git: https://salsa.debian.org/pkg-rpm-team/osc.git
Homepage: https://en.opensuse.org/openSUSE:OSC
Rules-Requires-Root: no

Package: osc
Architecture: all
Depends: ca-certificates,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: bash-completion,
            cpio,
            obs-build,
            python3-keyring,
            rpm2cpio,
            sensible-utils
Description: Open Build Service commander
 Commandline client for the Open Build Service, which allows one to access
 repositories in the Open Build Service in similar way as Subversion
 repositories.
 .
 The Open Build Service is service that allows developers to package
 software for all major Linux distributions.

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 		--output=osc.1 \
 		--format=single-commands-section \
 		--module=osc.commandline \
-		--function=get_parser \
+		--function=argparse_manpage_get_parser \
 		--project-name=osc \
 		--prog=osc \
 		--description="openSUSE build service command-line tool" \

## osc lib-4.0.1

=== requirements.txt ===
cliff>=3.2.0 # Apache-2.0
keystoneauth1>=3.14.0 # Apache-2.0
openstacksdk>=0.15.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0

## osc lib-4.2.0

=== requirements.txt ===
cliff>=4.9.0 # Apache-2.0
keystoneauth1>=5.10.0 # Apache-2.0
openstacksdk>=0.15.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
